This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 577103 - [abrt] crash on startup in galeon fc13 after update (old compreg.dat break)
[abrt] crash on startup in galeon fc13 after update (old compreg.dat break)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: galeon (Show other bugs)
13
i686 Linux
high Severity high
: ---
: ---
Assigned To: Yanko Kaneti
Fedora Extras Quality Assurance
abrt_hash:a64d06f7d3236015de12cd8e160...
: Triaged
: 570897 596092 597259 597411 597909 597961 598280 598435 619634 625847 639242 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-26 02:28 EDT by David Le Sage
Modified: 2011-06-27 11:18 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:18:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (41.79 KB, text/plain)
2010-03-26 02:28 EDT, David Le Sage
no flags Details
Attached again. (514.93 KB, application/octet-stream)
2010-03-29 19:39 EDT, David Le Sage
no flags Details

  None (edit)
Description David Le Sage 2010-03-26 02:28:49 EDT
abrt 1.0.8 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: galeon
component: galeon
executable: /usr/bin/galeon
kernel: 2.6.33-1.fc13.i686.PAE
package: galeon-2.0.7-25.fc13
rating: 3
reason: Process /usr/bin/galeon was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Tried to launch Galeon
Comment 1 David Le Sage 2010-03-26 02:28:51 EDT
Created attachment 402755 [details]
File: backtrace
Comment 2 David Le Sage 2010-03-26 02:29:17 EDT

How to reproduce
-----
1. Tried to launch Galeon
Comment 3 Yanko Kaneti 2010-03-26 11:12:08 EDT
I can't reproduce this in a F13 testing vm. Tried if it had something to do with prelink but also saw no problems. 
galeon-2.0.7-25.f13.i686
xulrunner-1.9.2.2-1.f13.i686

Maybe somehow you ended up with a different xulrunner? Its quite important that galeon runs on top the exact same xulrunner it was built against.

Can you try 
rpm -V galeon xulrunner
Comment 4 David Le Sage 2010-03-27 01:33:56 EDT
Yes, I can confirm it is definitely xulrunner-1.9.2.2-1.f13.
Comment 5 Yanko Kaneti 2010-03-27 04:47:29 EDT
1) Can you still reproduce this ?
2) if (1) Can you verify that galeon and xulrunner are in tact ?
 rpm -V galeon xullrunner
3) try perlink -ua (unding prelink on all) and then again rpm -V

3) if (2) doesn't help can you move your ~/.galeon somewhere temporarily and see if it fixes the startup ?
4) if (3) fixes the startup, then perhaps you could send me a tarred copy of ~/.galeon (of course sanitized of personal stuff) so that I can try to reproduce this somehow ?
Comment 6 David Le Sage 2010-03-28 18:22:51 EDT
Hello Yanko.


I followed your instructions and once I moved ~/.galeon elsewhere, it finally loaded, so it must be a problem with my personal config settings.


Note that I moved to Fed 13 alpha via running preupdate on F12, so it might be a legacy setting.  I will attach a copy of it for you in a few moments.
Comment 8 Yanko Kaneti 2010-03-29 12:00:11 EDT
Hello, 
I think the attachment didn't make it.

I suspect just removing ~/.galeon/mozilla/galeon/compreg.dat
might be enough to fix the crash.
Comment 9 David Le Sage 2010-03-29 19:38:10 EDT
It is attached but I set it as private.  Perhaps you do not have the security permissions to see it.  Okay, I will attach it again.  It does not contain any confidential data, anyway.
Comment 10 David Le Sage 2010-03-29 19:39:47 EDT
Created attachment 403388 [details]
Attached again.
Comment 11 Yanko Kaneti 2010-03-30 01:05:50 EDT
Thanks. Finally, I am able to reproduce it. And indeed its compreg.dat thats causing it, so just removing ~/.galeon/mozilla/galeon/compreg.dat is enough to  work around it , until the next time when a xulrunner upgrade causes the same thing)

I'll try investigate why the mozilla embedding code fails to deal with this itself or is there something galeon should be doing to force a registry rebuild.
Any help or insight welcome.
Comment 12 Yanko Kaneti 2010-03-30 05:12:55 EDT
*** Bug 570897 has been marked as a duplicate of this bug. ***
Comment 13 Yanko Kaneti 2010-05-26 07:21:53 EDT
*** Bug 596092 has been marked as a duplicate of this bug. ***
Comment 14 Daniel Stripes 2010-05-28 09:33:35 EDT
Package: galeon-2.0.7-27.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Attempted to start galeon for first time since upgrade from f12 to f13.
Comment 15 Yanko Kaneti 2010-05-29 08:07:31 EDT
*** Bug 597259 has been marked as a duplicate of this bug. ***
Comment 16 Daniel Stripes 2010-05-29 19:47:43 EDT
(In reply to comment #14)
> Package: galeon-2.0.7-27.fc13
> Architecture: x86_64
> OS Release: Fedora release 13 (Goddard)
> 
> 
> Comment
> -----
> Attempted to start galeon for first time since upgrade from f12 to f13.    

I uninstalled galeon, mv'd ~/.galeon to ~/.galeon_old, reinstalled galeon, and then started galeon without error/fault.

I then checked and found that I have xulrunner-1.9.2.3-1.fc13.x86_64 installed.

Haven't the opportunity to examine my compreg.dat contents yet.
Comment 17 Yanko Kaneti 2010-05-30 15:46:35 EDT
*** Bug 597411 has been marked as a duplicate of this bug. ***
Comment 18 Yanko Kaneti 2010-05-31 01:56:14 EDT
*** Bug 597909 has been marked as a duplicate of this bug. ***
Comment 19 Yanko Kaneti 2010-05-31 02:08:25 EDT
*** Bug 597961 has been marked as a duplicate of this bug. ***
Comment 20 Roger Moore 2010-06-02 00:36:46 EDT
Package: galeon-2.0.7-27.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Program crashed on startup
Comment 21 Yanko Kaneti 2010-06-02 02:52:55 EDT
*** Bug 598280 has been marked as a duplicate of this bug. ***
Comment 22 Yanko Kaneti 2010-06-02 02:53:49 EDT
*** Bug 598435 has been marked as a duplicate of this bug. ***
Comment 23 Peter Hanecak 2010-06-17 15:12:14 EDT
Package: galeon-2.0.7-27.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. start Galeon
2. it wont come up, it crashes



Comment
-----
First attampt to dtart Galeon after upgrade from Fedaro 12 to Fedora 13. In Fedora 12, Galeon worked well.
Comment 24 Peter Hanecak 2010-06-20 15:32:02 EDT
Removing ~/.galeon allows the Galeon to start. Be that and ugly solution causing loss of bookmarks and settings.

Removing just ~/.galeon/mozilla/galeon/compreg.dat works too. And bookmarks and settings are there.

Thank you for help. :)
Comment 25 Yanko Kaneti 2010-07-30 17:03:26 EDT
*** Bug 619634 has been marked as a duplicate of this bug. ***
Comment 26 Yanko Kaneti 2010-08-23 04:24:45 EDT
*** Bug 625847 has been marked as a duplicate of this bug. ***
Comment 27 jdragone 2010-09-23 16:38:46 EDT
Package: galeon-2.0.7-30.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. solo inicie el galeon y se cayo
2.
3.


Comment
-----
siempre se cae el galeon al arrancar
Comment 28 Yanko Kaneti 2010-10-01 04:54:24 EDT
*** Bug 639242 has been marked as a duplicate of this bug. ***
Comment 29 Bug Zapper 2011-06-02 11:54:37 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 30 Bug Zapper 2011-06-27 11:18:01 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.